﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<MvcContribExample.Models.UsuariosModel>" %>

<%@ Import Namespace="MvcContrib.UI.Grid" %>
<%@ Import Namespace="MvcContrib.UI.Pager" %>
<%@ Import Namespace="MvcContribExample.Models" %>

<!DOCTYPE html> 
<html> 
<head runat="server">
    <title>MVC Contrib Example</title>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
</head>
<body>
    <div class="grid">
        <% Html.Grid((List<UsuariosModel>)ViewData["model"])
           .Columns(column =>
           {
             column.For(c => c.nombre);
             column.For(c => c.apellido);
             column.For(c => c.deporte);
           }).Attributes(@id => "gridview").Empty("Sin registros :(").Render();
        %>

        <%if (Model.pageList != null)
        { %>
        <%= Html.Pager(Model.pageList)
            .First("Primero")
            .Next("Siguiente")
            .Previous("Previo")
            .Last("&Uacute;ltimo")
            .Format("{0} a {1} de {2} Registros | ")
            .Link(currentPage => Url.Action("Paginate", new
            {
                page = currentPage
            }))
        %>
        <%} %>
    </div>

    <script type="text/javascript">
        jQuery(document).ready(function ($) {
            $(".paginationRight a").live("click", function (e) {
                e.preventDefault();
                $.ajax({
                    type: "post",
                    dataType: "html",
                    url: this.href,
                    success: function (response) {
                        $(".grid").empty().html(response);
                    }
                });
            });
        });
    </script>

</body>
</html>